---
title: "List Tulip App Groups and the Apps they contain"
slug: "list-tulip-app-groups-and-the-apps-they-contain"
updated: 2026-04-02T17:37:08Z
published: 2026-04-02T17:37:27Z
canonical: "support.tulip.co/list-tulip-app-groups-and-the-apps-they-contain"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tulip App Groups and the Apps they contain

Get/appGroups

Retrieves a list of all Tulip App Groups and their containing apps.

Requires the `apps:read` API key scope.

SecurityHTTPType basic

Access to the Tulip API requires the use of [HTTP Basic Authentication](https://datatracker.ietf.org/doc/html/rfc7617) using the credentials of an active [Tulip API Token](https://support.tulip.co/docs/set-up-a-tulip-api). All requests require the `Authorization` HTTP header with the `Basic` scheme to provide API credentials unless otherwise noted.

API tokens can be configured with a set of *scopes* which determine what parts of the API that specific token has access to. Security best practices dictate that API credentials be given the minimum set of capabilities required to fulfill their intended purpose. For example, an API token created for use in an integration that is only designed to use the Tables API should probably only be given the `tables:read` and `tables:write` scopes. In this way you can minimize risk in the event that API credentials are compromised. API endpoints will document what API token scopes are required to access that endpoint in their descriptions. If a request is made to an endpoint with an API token which does not have the required scopes, the response will be an authorization error.

Responses200

The list of Tulip App groups was retrieved successfully.

<select class='api-response-data' aria-label='Media type'><option value='544e0da8-590f-400d-9e36-e6ee9bc0f140'>application/json</option>
</select>Array of object   object  Example{
  "id": "xMHMG2s98r6BvYSxB",
  "name": "MFG Apps",
  "parent": "7gG89VedgchjagVds",
  "apps": [
    {
      "id": "EyCK9rM8FLj5uwspA",
      "name": "Machine Maintenance",
      "type": "group"
    },
    {
      "id": "D9Gvdd9S9xgX81md7",
      "name": "Frame Assembly",
      "type": "app",
      "persistentId": "Ac4gHT59iiL3GHldq",
      "published": true
    }
  ]
}idExampleg56RCoZCtzv7borvp
namestring    
parentExampleg56RCoZCtzv7borvp
contents Array of object   

A list of objects which describing the groups or apps contained by an App Group. If type is "group" then there is no "published" as a group does not have the published state. If the type is "app" it will have published only if it is published.

object  idstring    Pattern^[a-zA-Z0-9_]+$Exampleg56RCoZCtzv7borvp
namestring    
typestring    Valid values[
  "app",
  "group"
]
persistentIdstring    Pattern^[a-zA-Z0-9_]+$Exampleg56RCoZCtzv7borvp
publishedboolean    

400

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='6f7c0484-016f-4baf-a0a8-e2f5c8b9a406'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

401

The request was made unauthorized. HTTP Basic Authorization using a Tulip API Key is required for use of the API.

<select class='api-response-data' aria-label='Media type'><option value='defc760e-4ab0-49a1-b9b8-d158a8138803'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

403

The provided authentication info was rejected. The response will provide additional details.

<select class='api-response-data' aria-label='Media type'><option value='6c4febc8-daa6-475e-820a-96b29c64856c'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

500

The server encountered an unexpected error.

<select class='api-response-data' aria-label='Media type'><option value='69842561-1d47-430c-bf51-bce06ede7eac'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring
